"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var pathModule = require('path');

var fs = require('fs'); // flow-disable-next-line


var klawSync = require('klaw-sync'); // flow-disable-next-line


var md5 = require('md5');

var dirChecksum = function dirChecksum(dirPath) {
  var basePath = pathModule.resolve(dirPath);
  var files = klawSync(dirPath, {
    nodir: true,
    filter: function filter(_ref) {
      var path = _ref.path;
      return !RegExp("^".concat(basePath, "/node_modules/")).test(path) && !RegExp("^".concat(basePath, "/dist/")).test(path) && !RegExp("^".concat(basePath, "/.git/")).test(path) && !RegExp("^".concat(basePath, "/coverage/")).test(path) && !RegExp("^".concat(basePath, "/lib/")).test(path) && !RegExp("^".concat(basePath, "/data/")).test(path);
    }
  }).map(function (f) {
    return f.path;
  });
  var md5s = files.map(function (f) {
    return fs.readFileSync(f);
  });
  var concatenatedMd5s = md5s.join();
  var finalMd5 = md5(concatenatedMd5s);
  return finalMd5;
};

var _default = dirChecksum;
exports.default = _default;